This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 54022 - Bad: Anaconda crashed
Bad: Anaconda crashed
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
roswell
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-25 13:42 EDT by Andrew Burgess
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-27 12:18:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Burgess 2001-09-25 13:42:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
Tried to do an upgrade when Redhat said /dev/hdd5 was corrupted. refused 
to install RedHat and required a reboot

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 781, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 402, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 142, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 207, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/bootloader.py", line 682, in 
bootloaderSetupChoices
    choices = fsset.bootloaderChoices(diskSet)
  File "/usr/lib/anaconda/fsset.py", line 717, in bootloaderChoices
    bootDev = mntDict['/']
KeyError: /

Local variables in innermost frame:
diskSet: <partitioning.DiskSet instance at 84e2fd0>
mntDict: {'/dev/pts': <fsset.Device instance at 8547448>, 'swap': 
<fsset.PartitionDevice instance at 85477a0>, '/dosC': 
<fsset.PartitionDevice instance at 85474b0>, '/proc': <fsset.Device 
instance at 8547540>}
self: <fsset.FileSystemSet instance at 867b6c8>
entry: <fsset.FileSystemSetEntry instance at 8547990>


Dispatcher instance, containing members:
skipSteps: {'reconfigwelcome': 1, 'fdisk': 1, 'reconfigkeyboard': 
1, 'authentication': 1, 'package-selection': 1, 'videocard': 
1, 'handleX11pkgs': 1, 'partition': 1, 'upgrademigratefs': 
1, 'reconfigcomplete': 1, 'partitionmethod': 1, 'network': 1, 'monitor': 
1, 'enablefilesystems': 1, 'xcustom': 1, 'confirminstall': 
1, 'autopartition': 1, 'addswap': 1, 'timezone': 1, 'partitiondone': 
1, 'makebootdisk': 1, 'accounts': 1, 'networkdevicecheck': 
1, 'writexconfig': 1, 'partitionmethodsetup': 1, 'languagesupport': 
1, 'firewall': 1, 'autopartitionexecute': 1, 'writeconfig': 
1, 'writeksconfig': 1}
dir: 1
id: InstallData instance, containing members:
  configFileData: 
{'Splashscreen': 'pixmaps/first.png', 'WelcomeScreen': 'pixmaps/splash.png'
, 'TitleBar': 'pixmaps/anaconda_header.png', 'Title': 'Red Hat Linux Beta'}
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: []
    langNicks: None
    default: None
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso01', 'lat0-
sun16'), 'Spanish (Argentina)': ('es_AR', 'iso01', 'lat0-sun16'), 'Italian 
(Italy)': ('it_IT@euro', 'iso15', 'lat0-sun16'), 'Arabic (Lebanon)': 
('ar_LB', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Guatemala)': 
('es_GT', 'iso01', 'lat0-sun16'), 'Malay (Malaysia)': 
('ms_MY', 'iso01', 'lat0-sun16'), 'Arabic (Libyan Arab Jamahiriya)': 
('ar_LY', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Oman)': 
('ar_OM', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Iraq)': 
('ar_IQ', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Kuwait)': 
('ar_KW', 'iso06', 'LatArCyrHeb-16'), 'English (South Africa)': 
('en_ZA', 'iso01', 'lat0-sun16'), 'French (Switzerland)': 
('fr_CH', 'iso01', 'lat0-sun16'), 'Arabic (Bahrein)': 
('ar_BH', 'iso06', 'LatArCyrHeb-16'), 'Croatian': ('hr_HR', 'iso02', 'lat2-
sun16'), 'French (France)': ('fr_FR@euro', 'iso15', 'lat0-
sun16'), 'Greenlandic (Greenland)': ('kl_GL', 'iso01', 'lat0-
sun16'), 'Korean (Republic of Korea)': ('ko_KR.eucKR', 'iso01', 'lat0-
sun16'), 'Ukrainian': ('uk_UA', 'koi8-u', 'cyr-sun16'), 'Spanish 
(Mexico)': ('es_MX', 'iso01', 'lat0-sun16'), 'Greek': 
('el_GR', 'iso07', 'iso07.16'), 'Spanish (El Salvador)': 
('es_SV', 'iso01', 'lat0-sun16'), 'Spanish (Peru)': 
('es_PE', 'iso01', 'lat0-sun16'), 'Spanish (Honduras)': 
('es_HN', 'iso01', 'lat0-sun16'), 'Spanish (Costa Rica)': 
('es_CR', 'iso01', 'lat0-sun16'), 'English (Denmark)': 
('en_DK', 'iso01', 'lat0-sun16'), 'Dutch (Netherlands)': 
('nl_NL@euro', 'iso15', 'lat0-sun16'), 'Serbian (Yugoslavia)': 
('sr_YU@cyrillic', 'iso05', 'cyr-sun16'), 'Bosnian (Bosnia and 
Herzegowina)': ('bs_BA', 'iso02', 'lat2-sun16'), 'Russian (Ukraine)': 
('ru_UA', 'koi8-u', 'cyr-sun16'), 'Portuguese (Portugal)': 
('pt_PT@euro', 'iso15', 'lat0-sun16'), 'Afrikaans (South Africa)': 
('af_ZA', 'iso01', 'lat0-sun16'), 'Norwegian': ('no_NO', 'iso01', 'lat0-
sun16'), 'Arabic (Morocco)': ('ar_MA', 'iso06', 'LatArCyrHeb-
16'), 'English (Philippines)': ('en_PH', 'iso01', 'lat0-sun16'), 'Arabic 
(Algeria)': ('ar_DZ', 'iso06', 'LatArCyrHeb-16'), 'Indonesian': 
('id_ID', 'iso01', 'lat0-sun16'), 'Danish': ('da_DK', 'iso01', 'lat0-
sun16'), 'Chinese (Taiwan R.O.C.)': ('zh_TW.Big5', 'iso01', 'lat0-
sun16'), 'Faroese (Faroe Islands)': ('fo_FO', 'iso01', 'lat0-
sun16'), 'Galician (Spain)': ('gl_ES@euro', 'iso15', 'lat0-
sun16'), 'English (New Zealand)': ('en_NZ', 'iso01', 'lat0-
sun16'), 'Spanish (Bolivia)': ('es_BO', 'iso01', 'lat0-sun16'), 'Cornish 
(Britain)': ('kw_GB', 'iso01', 'lat0-sun16'), 'Arabic (United Arab 
Emirates)': ('ar_AE', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Nicaragua)': 
('es_NI', 'iso01', 'lat0-sun16'), 'German (Austria)': 
('de_AT@euro', 'iso15', 'lat0-sun16'), 'Romanian': 
('ro_RO', 'iso02', 'lat2-sun16'), 'Spanish (Paraguay)': 
('es_PY', 'iso01', 'lat0-sun16'), 'Hebrew (Israel)': 
('he_IL', 'iso08', 'LatArCyrHeb-16'), 'German (Luxemburg)': 
('de_LU@euro', 'iso15', 'lat0-sun16'), 'Spanish (USA)': 
('es_US', 'iso01', 'lat0-sun16'), 'Portuguese (Brasil)': 
('pt_BR', 'iso01', 'lat0-sun16'), 'Spanish (Equador)': 
('es_EC', 'iso01', 'lat0-sun16'), 'Polish': ('pl_PL', 'iso02', 'lat2-
sun16'), 'Slovak': ('sk_SK', 'iso02', 'lat2-sun16'), 'Macedonian': 
('mk_MK', 'iso05', 'cyr-sun16'), 'Spanish (Spain)': 
('es_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Chile)': 
('es_CL', 'iso01', 'lat0-sun16'), 'Arabic (Syrian Arab Republic)': 
('ar_SY', 'iso06', 'LatArCyrHeb-16'), 'Czech': ('cs_CZ', 'iso02', 'lat2-
sun16'), 'Irish': ('ga_IE@euro', 'iso15', 'lat0-sun16'), 'Arabic 
(Jordan)': ('ar_JO', 'iso06', 'LatArCyrHeb-16'), 'Italian (Switzerland)': 
('it_CH', 'iso01', 'lat0-sun16'), 'German (Belgium)': 
('de_BE@euro', 'iso15', 'lat0-sun16'), 'Albanian': 
('sq_AL', 'iso01', 'lat0-sun16'), 'Occitan (France)': 
('oc_FR', 'iso01', 'lat0-sun16'), 'Finnish': ('fi_FI@euro', 'iso15', 'lat0-
sun16'), 'Swedish (Sweden)': ('sv_SE', 'iso01', 'lat0-sun16'), 'English 
(Singapore)': ('en_SG', 'iso01', 'lat0-sun16'), 'Dutch (Belgium)': 
('nl_BE@euro', 'iso15', 'lat0-sun16'), 'Spanish (Panama)': 
('es_PA', 'iso01', 'lat0-sun16'), 'Spanish (Venezuela)': 
('es_VE', 'iso01', 'lat0-sun16'), 'English (Great Britain)': 
('en_GB', 'iso01', 'lat0-sun16'), 'Russian': ('ru_RU.koi8r', 'koi8-
u', 'cyr-sun16'), 'Norwegian, Nynorsk (Norway)': ('nn_NO', 'iso01', 'lat0-
sun16'), 'English (Zimbabwe)': ('en_ZW', 'iso01', 'lat0-sun16'), 'English 
(USA)': ('en_US', 'iso01', 'lat0-sun16'), 'Tagalog (Philipines)': 
('tl_PH', 'iso01', 'lat0-sun16'), 'Breton (France)': 
('br_FR', 'iso01', 'lat0-sun16'), 'Chinese (P.R. of China)': 
('zh_CN.GB2312', 'iso01', 'lat0-sun16'), 'Arabic (Yemen)': 
('ar_YE', 'iso06', 'LatArCyrHeb-16'), 'Basque (Spain)': 
('eu_ES@euro', 'iso15', 'lat0-sun16'), 'Arabic (Qatar)': 
('ar_QA', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Egypt)': 
('ar_EG', 'iso06', 'LatArCyrHeb-16'), 'French (Belgium)': 
('fr_BE@euro', 'iso15', 'lat0-sun16'), 'English (Ireland)': 
('en_IE@euro', 'iso15', 'lat0-sun16'), 'Hungarian': 
('hu_HU', 'iso02', 'lat2-sun16'), 'Arabic (Tunisia)': 
('ar_TN', 'iso06', 'LatArCyrHeb-16'), 'French (Luxemburg)': 
('fr_LU@euro', 'iso15', 'lat0-sun16'), 'Japanese': 
('ja_JP.eucJP', 'iso01', 'lat0-sun16'), 'Uzbek (Uzbekistan)': 
('uz_UZ', 'iso01', 'lat0-sun16'), 'Swedish (Finland)': 
('sv_FI@euro', 'iso15', 'lat0-sun16'), 'Arabic (Saudi Arabia)': 
('ar_SA', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Dominican Republic)': 
('es_DO', 'iso01', 'lat0-sun16'), 'French (Canada)': 
('fr_CA', 'iso01', 'lat0-sun16'), 'English (Canada)': 
('en_CA', 'iso01', 'lat0-sun16'), 'German (Germany)': 
('de_DE@euro', 'iso15', 'lat0-sun16'), 'Slovenian (Slovenia)': 
('sl_SI', 'iso02', 'lat2-sun16'), 'Spanish (Uruguay)': 
('es_UY', 'iso01', 'lat0-sun16'), 'German (Switzerland)': 
('de_CH', 'iso01', 'lat0-sun16'), 'English (Hong Kong)': 
('en_HK', 'iso01', 'lat0-sun16'), 'English (Australia)': 
('en_AU', 'iso01', 'lat0-sun16'), 'Catalan (Spain)': 
('ca_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Puerto Rico)': 
('es_PR', 'iso01', 'lat0-sun16'), 'Turkish': ('tr_TR', 'iso09', 'lat5-
sun16'), 'Estonian': ('et_EE', 'iso01', 'lat0-sun16'), 'Arabic (Sudan)': 
('ar_SD', 'iso06', 'LatArCyrHeb-16'), 'Icelandic': 
('is_IS', 'iso01', 'lat0-sun16'), 'English (Botswana)': 
('en_BW', 'iso01', 'lat0-sun16'), 'Manx Gaelic (Britain)': 
('gv_GB', 'iso01', 'lat0-sun16')}
    info: {'SUPPORTED': None}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'hda': <PedDisk object at 81d71a8>, 'hdb': <PedDisk object at 
853fca0>}
  tmpData: 
{'Splashscreen': 'pixmaps/first.png', 'WelcomeScreen': 'pixmaps/splash.png'
, 'TitleBar': 'pixmaps/anaconda_header.png', 'Title': 'Red Hat Linux Beta'}
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': 'it', 'Chinese
(Traditional)': 'us', 'Korean': 'us', 'Russian': 'ru', 'English': 'us', 'Sp
anish': 'es', 'Norwegian': 'no-latin1', 'Swedish': 'se-
latin1', 'French': 'fr-
latin1', 'Japanese': 'jp106', 'Slovenian': 'slovene', 'German': 'de-latin1-
nodeadkeys', 'Chinese(Simplified)': 'us', 'Czech': 'cz-
lat2', 'Icelandic': 'is-latin1'}
    font: {'Italian': 'lat0-sun16', 'Chinese
(Traditional)': 'None', 'Korean': 'None', 'Russian': 'cyr-
sun16', 'English': 'default8x16', 'Spanish': 'lat0-
sun16', 'Norwegian': 'lat0-sun16', 'Swedish': 'lat0-
sun16', 'French': 'lat0-sun16', 'Japanese': 'Kon', 'Slovenian': 'lat2-
sun16', 'German': 'lat0-16', 'Chinese(Simplified)': 'None', 'Czech': 'lat2-
sun16', 'Icelandic': 'lat0-sun16'}
    langNicks: {'Italian': 'it_IT', 'Chinese
(Traditional)': 'zh_TW.Big5', 'Korean': 'ko_KR.eucKR', 'Russian': 'ru_RU.ko
i8r', 'English': 'en_US', 'Spanish': 'es_ES', 'Norwegian': 'no_NO', 'Swedis
h': 'sv_SE', 'French': 'fr_FR', 'Japanese': 'ja_JP.eucJP', 'Slovenian': 'sl
_SI', 'German': 'de_DE', 'Chinese
(Simplified)': 'zh_CN.GB2312', 'Czech': 'cs_CZ', 'Icelandic': 'is_IS'}
    langList: ['Chinese(Simplified)', 'Chinese
(Traditional)', 'Czech', 'English', 'French', 'German', 'Icelandic', 'Itali
an', 'Japanese', 'Korean', 'Norwegian', 'Russian', 'Slovenian', 'Spanish', 
'Swedish']
    tz: {'Italian': 'Europe/Rome', 'Chinese
(Traditional)': 'Asia/Taipei', 'Korean': 'Asia/Seoul', 'Russian': 'Europe/M
oscow', 'English': 'America/New_York', 'Spanish': 'Europe/Madrid', 'Norwegi
an': 'Europe/Oslo', 'Swedish': 'Europe/Stockholm', 'French': 'Europe/Paris'
, 'Japanese': 'Asia/Tokyo', 'Slovenian': 'Europe/Ljubljana', 'German': 'Eur
ope/Berlin', 'Chinese
(Simplified)': 'Asia/Shanghai', 'Czech': 'Europe/Prague', 'Icelandic': 'Atl
antic/Reykjavik'}
    tempDefault: 
    map: {'Italian': 'iso15', 'Chinese
(Traditional)': 'None', 'Korean': 'None', 'Russian': 'koi8-
r', 'English': 'iso01', 'Spanish': 'iso15', 'Norwegian': 'iso15', 'Swedish'
: 'iso15', 'French': 'iso15', 'Japanese': 'None', 'Slovenian': 'iso02', 'Ge
rman': 'iso09', 'Chinese
(Simplified)': 'None', 'Czech': 'iso02', 'Icelandic': 'iso15'}
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 3
    info: {}
  videocard: VideoCardInfo instance, containing members:
    orig_videocards: [<videocard.VideoCard instance at 81edec8>]
    primary: 0
    videocards: [<videocard.VideoCard instance at 82d4740>]
    orig_primary: 0
  floppyDevice: fd0
  xconfig: XF86Config instance, containing members:
    keyLayout: us
    manualModes: {'16': ['800x600']}
    mouse: Mouse instance, containing members:
      device: psaux
      info: {'XMOUSETYPE': 'PS/2', 'FULLNAME': 'Generic - 3 Button Mouse 
(PS/2)', 'MOUSETYPE': 'ps/2'}
      emu: 0
      wasProbed: 1
      emulate: 0
    monlist: {}
    keyRules: xfree86
    keyModel: pc105
    device: None
    monids: {}
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    keyVariant: 
    videocard: FrameBufferCard instance, containing members:
      server: None
      cardManf: None
      devID: None
      probedcard: None
      vidRam: None
      device: None
      fbmodes: None
      descr: None
      fbbpp: None
      cardData: None
    keyOptions: 
    modes: {'16': ['800x600']}
    res: 800x600
    monitor: MonitorInfo instance, containing members:
      monlist: None
      fbmonMode: {'16': ['800x600']}
      monids: None
      monVert: 50-70
      orig_monHoriz: None
      orig_monID: MEI0c7a
      orig_monEisa: mei0c7a
      orig_monVert: None
      fbmonSect: Section "Monitor"
    Identifier  "Probed Monitor"
    VendorName  "Unknown"
    ModelName   "Unknown"
    HorizSync   46.876
    VertRefresh 75.121
    ModeLine    "800x600" 48.002 800 832 928 1024 600 604 608 624 -HSync -
VSync
EndSection

      orig_monName: None
      monHoriz: 31.5-48.5
      monEisa: mei0c7a
      orig_fbmonSect: Section "Monitor"
    Identifier  "Probed Monitor"
    VendorName  "Unknown"
    ModelName   "Unknown"
    HorizSync   46.876
    VertRefresh 75.121
    ModeLine    "800x600" 48.002 800 832 928 1024 600 604 608 624 -HSync -
VSync
EndSection

      monName: None
      monID: MEI0c7a
    skipx: 0
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 1
  instClass: DefaultInstall instance, containing members:
  partitions: Partitions instance, containing members:
    deletes: []
    reinitializeDisks: 0
    autoPartitionRequests: []
    nextUniqueID: 6
    autoClearPartType: 3
    requests: [<partitioning.PartitionSpec instance at 853fdf0>, 
<partitioning.PartitionSpec instance at 853fe08>, 
<partitioning.PartitionSpec instance at 85403d0>, 
<partitioning.PartitionSpec instance at 85408f0>, 
<partitioning.PartitionSpec instance at 8540a68>]
    autoClearPartDrives: None
    useFdisk: 0
    useAutopartitioning: 1
  extraModules: []
  mouse: Already dumped
  bootloader: x86BootloaderInfo instance, containing members:
    useGrubVal: 1
    forceLBA32: 0
    password: None
    images: BootImages instance, containing members:
      images: {}
      default: None
    pure: None
    device: None
    configfile: /etc/lilo.conf
    above1024: 0
    kernelLocation: /boot/
    args: KernelArguments instance, containing members:
      args: 
    defaultDevice: None
    useLinear: 1
  timezone: Timezone instance, containing members:
    arc: 0
    utc: 0
    tz: None
  keyboard: Keyboard instance, containing members:
    beenset: 1
    layout: None
    model: None
    type: PC
    info: {'KEYBOARDTYPE': 'pc', 'KEYTABLE': 'us'}
  accounts: None
  dependencies: []
  comps: None
  upgradeRoot: [('hdb5', 'ext2')]
  auth: Authentication instance, containing members:
    useNIS: 0
    sambaServer: 
    enableCache: 0
    nisServer: 
    useLdap: 0
    sambaWorkgroup: 
    krb5Kdc: 
    ldapTLS: 
    useHesiod: 0
    ldapServer: 
    nisDomain: 
    krb5Realm: 
    useLdapauth: 0
    hesiodRhs: 
    useShadow: 1
    nisuseBroadcast: 1
    useKrb5: 0
    useMD5: 1
    ldapBasedn: 
    krb5Admin: 
    hesiodLhs: 
    useSamba: 0
  firewall: Firewall instance, containing members:
    ports: []
    trustdevs: []
    dhcp: 0
    policy: 1
    ssh: 0
    custom: 1
    telnet: 0
    smtp: 0
    enabled: -1
    portlist: 
    http: 0
    ftp: 0
  dbpath: None
  network: Network instance, containing members:
    netdevices: {}
    gateway: 
    secondaryNS: 
    hostname: localhost.localdomain
    primaryNS: 
    domains: []
    isConfigured: 0
    readData: 0
    ternaryNS: 
  fsset: FileSystemSet instance, containing members:
    migratedfs: 0
    mountcount: 4
    entries: [<fsset.FileSystemSetEntry instance at 8547888>, 
<fsset.FileSystemSetEntry instance at 8547560>, <fsset.FileSystemSetEntry 
instance at 8547768>, <fsset.FileSystemSetEntry instance at 8547990>]
    progressWindow: <method InstallInterface.progressWindow of 
InstallInterface instance at 8267c58>
    waitWindow: <method InstallInterface.waitWindow of InstallInterface 
instance at 8267c58>
    messageWindow: <method InstallInterface.messageWindow of 
InstallInterface instance at 8267c58>
  hdList: None
firstStep: 0
method: CdromInstallMethod instance, containing members:
  progressWindow: <method InstallInterface.progressWindow of 
InstallInterface instance at 8267c58>
  device: hdd
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of 
InstallInterface instance at 8267c58>
instPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'expert': 0, 'setupFilesystems': 1, 'serial': 
0, 'reconfig': 0, 'test': 0}
intf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: 
{'Splashscreen': 'pixmaps/first.png', 'WelcomeScreen': 'pixmaps/splash.png'
, 'TitleBar': 'pixmaps/anaconda_header.png', 'Title': 'Red Hat Linux Beta'}
    bin: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 83d0168>
    langSearchPath: ['en_US', 'en', 'C']
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 866dec8>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 81c6740>
    window: GtkWindow instance, containing members:
      _o: <GtkObject of type GtkWindow at 8747528>
    prevButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 866ddf0>
    helpFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 81a6f20>
    box: GtkVBox instance, containing members:
      _o: <GtkObject of type GtkVBox at 81a7008>
    hbox: GtkHBox instance, containing members:
      _o: <GtkObject of type GtkHBox at 8674c60>
    releaseButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 866de80>
    table: GtkTable instance, containing members:
      _o: <GtkObject of type GtkTable at 84c5a88>
    windowList: []
    installFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 84c2690>
    currentWindow: UpgradeExamineWindow instance, containing members:
      individualPackages: GtkCheckButton instance, containing members:
        _o: <GtkObject of type GtkCheckButton at 83e33c8>
      dispatch: Already dumped
      id: Already dumped
      root: ('hdb5', 'ext2')
      parts: [('hdb5', 'ext2')]
      ics: InstallControlState instance, containing members:
        nextButton: Button_Next
        cw: Already dumped
        prevEnabled: 1
        prevButton: Button_Prev
        htmlFile: upgrade
        html: 
        helpEnabled: 3
        nextEnabled: 1
        nextButtonInfo: None
        title: Upgrade Examine
        grabNext: 0
        prevButtonLabel: None
        searchPath: ['./', '/usr/share/anaconda/', './']
        helpButtonEnabled: 1
        nextButtonLabel: None
      chroot: /mnt/sysimage
      intf: Already dumped
    ii: Already dumped
    reloadRcQueued: 0
    dispatch: Already dumped
    dir: 1
    nextButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 866de38>
    hideHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 866df10>
    buttonBox: GtkHButtonBox instance, containing members:
      _o: <GtkObject of type GtkHButtonBox at 8777a78>
    handle: 45
    stockButtons: [('Button_Prev', 'prevButtonStock', 'Back', <method 
InstallControlWindow.prevClicked of InstallControlWindow instance at 
84a9f70>), ('Button_Next', 'nextButtonStock', 'Next', <method 
InstallControlWindow.nextClicked of InstallControlWindow instance at 
84a9f70>), ('Button_Help', 'releaseButton', 'Release Notes', <method 
InstallControlWindow.releaseClicked of InstallControlWindow instance at 
84a9f70>), ('Button_Help', 'showHelpButton', 'Show Help', <method 
InstallControlWindow.helpClicked of InstallControlWindow instance at 
84a9f70>), ('Button_Help', 'hideHelpButton', 'Hide Help', <method 
InstallControlWindow.helpClicked of InstallControlWindow instance at 
84a9f70>)]
    displayHelp: 1
step: 23
dispatch: Already dumped
Comment 1 Michael Fulbright 2001-09-27 12:18:05 EDT
Could you go through the exact steps to get this traceback please? From your
message it sounds like the installer detected a problem with your filesystem,
and then tracebacked?
Comment 2 Brent Fox 2001-10-15 12:16:25 EDT
Closing due to inactivity.  Please reopen if you have more information.
Comment 3 Andrew Burgess 2001-10-16 16:30:53 EDT
I can't repeat the problem as I gave up at that point and re-installed 7.1.
Sorry, I hope it was just an isolated problem that nobody else runs into.

Note You need to log in before you can comment on or make changes to this bug.